<?php

namespace ContainerYLYnYtZ;
include_once \dirname(__DIR__, 4).'/vendor/uvdesk/extension-framework/Utils/ApplicationCollection.php';

class ApplicationCollection_a40b613 extends \Webkul\UVDesk\ExtensionFrameworkBundle\Utils\ApplicationCollection implements \ProxyManager\Proxy\VirtualProxyInterface
{
    /**
     * @var \Webkul\UVDesk\ExtensionFrameworkBundle\Utils\ApplicationCollection|null wrapped object, if the proxy is initialized
     */
    private $valueHolder8ddaf = null;

    /**
     * @var \Closure|null initializer responsible for generating the wrapped object
     */
    private $initializer5f264 = null;

    /**
     * @var bool[] map of public properties of the parent class
     */
    private static $publicProperties91196 = [
        
    ];

    public function organizeCollection()
    {
        $this->initializer5f264 && ($this->initializer5f264->__invoke($valueHolder8ddaf, $this, 'organizeCollection', array(), $this->initializer5f264) || 1) && $this->valueHolder8ddaf = $valueHolder8ddaf;

        return $this->valueHolder8ddaf->organizeCollection();
    }

    public function getCollection()
    {
        $this->initializer5f264 && ($this->initializer5f264->__invoke($valueHolder8ddaf, $this, 'getCollection', array(), $this->initializer5f264) || 1) && $this->valueHolder8ddaf = $valueHolder8ddaf;

        return $this->valueHolder8ddaf->getCollection();
    }

    public function findApplicationsByVendor($vendor)
    {
        $this->initializer5f264 && ($this->initializer5f264->__invoke($valueHolder8ddaf, $this, 'findApplicationsByVendor', array('vendor' => $vendor), $this->initializer5f264) || 1) && $this->valueHolder8ddaf = $valueHolder8ddaf;

        return $this->valueHolder8ddaf->findApplicationsByVendor($vendor);
    }

    public function findApplicationsByPackage(\Webkul\UVDesk\ExtensionFrameworkBundle\Definition\Package\PackageInterface $package)
    {
        $this->initializer5f264 && ($this->initializer5f264->__invoke($valueHolder8ddaf, $this, 'findApplicationsByPackage', array('package' => $package), $this->initializer5f264) || 1) && $this->valueHolder8ddaf = $valueHolder8ddaf;

        return $this->valueHolder8ddaf->findApplicationsByPackage($package);
    }

    public function findApplicationByFullyQualifiedName($vendorName, $packageName, $applicationQualifiedName) : ?\Webkul\UVDesk\ExtensionFrameworkBundle\Definition\Application\ApplicationInterface
    {
        $this->initializer5f264 && ($this->initializer5f264->__invoke($valueHolder8ddaf, $this, 'findApplicationByFullyQualifiedName', array('vendorName' => $vendorName, 'packageName' => $packageName, 'applicationQualifiedName' => $applicationQualifiedName), $this->initializer5f264) || 1) && $this->valueHolder8ddaf = $valueHolder8ddaf;

        return $this->valueHolder8ddaf->findApplicationByFullyQualifiedName($vendorName, $packageName, $applicationQualifiedName);
    }

    /**
     * Constructor for lazy initialization
     *
     * @param \Closure|null $initializer
     */
    public static function staticProxyConstructor($initializer)
    {
        static $reflection;

        $reflection = $reflection ?? new \ReflectionClass(__CLASS__);
        $instance   = $reflection->newInstanceWithoutConstructor();

        \Closure::bind(function (\Webkul\UVDesk\ExtensionFrameworkBundle\Utils\ApplicationCollection $instance) {
            unset($instance->applications, $instance->fullyQualifiedApplicationNames, $instance->applicationsByFullyQualifiedName, $instance->applicationsByQualifiedPackageName, $instance->isOrganized);
        }, $instance, 'Webkul\\UVDesk\\ExtensionFrameworkBundle\\Utils\\ApplicationCollection')->__invoke($instance);

        $instance->initializer5f264 = $initializer;

        return $instance;
    }

    public function __construct(\Symfony\Component\DependencyInjection\ContainerInterface $container, \Webkul\UVDesk\ExtensionFrameworkBundle\Definition\MappingResource $mappingResource, \Webkul\UVDesk\ExtensionFrameworkBundle\Utils\PackageCollection $packageCollection)
    {
        static $reflection;

        if (! $this->valueHolder8ddaf) {
            $reflection = $reflection ?? new \ReflectionClass('Webkul\\UVDesk\\ExtensionFrameworkBundle\\Utils\\ApplicationCollection');
            $this->valueHolder8ddaf = $reflection->newInstanceWithoutConstructor();
        \Closure::bind(function (\Webkul\UVDesk\ExtensionFrameworkBundle\Utils\ApplicationCollection $instance) {
            unset($instance->applications, $instance->fullyQualifiedApplicationNames, $instance->applicationsByFullyQualifiedName, $instance->applicationsByQualifiedPackageName, $instance->isOrganized);
        }, $this, 'Webkul\\UVDesk\\ExtensionFrameworkBundle\\Utils\\ApplicationCollection')->__invoke($this);

        }

        $this->valueHolder8ddaf->__construct($container, $mappingResource, $packageCollection);
    }

    public function & __get($name)
    {
        $this->initializer5f264 && ($this->initializer5f264->__invoke($valueHolder8ddaf, $this, '__get', ['name' => $name], $this->initializer5f264) || 1) && $this->valueHolder8ddaf = $valueHolder8ddaf;

        if (isset(self::$publicProperties91196[$name])) {
            return $this->valueHolder8ddaf->$name;
        }

        $realInstanceReflection = new \ReflectionClass('Webkul\\UVDesk\\ExtensionFrameworkBundle\\Utils\\ApplicationCollection');

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder8ddaf;

            $backtrace = debug_backtrace(false, 1);
            trigger_error(
                sprintf(
                    'Undefined property: %s::$%s in %s on line %s',
                    $realInstanceReflection->getName(),
                    $name,
                    $backtrace[0]['file'],
                    $backtrace[0]['line']
                ),
                \E_USER_NOTICE
            );
            return $targetObject->$name;
        }

        $targetObject = $this->valueHolder8ddaf;
        $accessor = function & () use ($targetObject, $name) {
            return $targetObject->$name;
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = & $accessor();

        return $returnValue;
    }

    public function __set($name, $value)
    {
        $this->initializer5f264 && ($this->initializer5f264->__invoke($valueHolder8ddaf, $this, '__set', array('name' => $name, 'value' => $value), $this->initializer5f264) || 1) && $this->valueHolder8ddaf = $valueHolder8ddaf;

        $realInstanceReflection = new \ReflectionClass('Webkul\\UVDesk\\ExtensionFrameworkBundle\\Utils\\ApplicationCollection');

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder8ddaf;

            $targetObject->$name = $value;

            return $targetObject->$name;
        }

        $targetObject = $this->valueHolder8ddaf;
        $accessor = function & () use ($targetObject, $name, $value) {
            $targetObject->$name = $value;

            return $targetObject->$name;
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = & $accessor();

        return $returnValue;
    }

    public function __isset($name)
    {
        $this->initializer5f264 && ($this->initializer5f264->__invoke($valueHolder8ddaf, $this, '__isset', array('name' => $name), $this->initializer5f264) || 1) && $this->valueHolder8ddaf = $valueHolder8ddaf;

        $realInstanceReflection = new \ReflectionClass('Webkul\\UVDesk\\ExtensionFrameworkBundle\\Utils\\ApplicationCollection');

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder8ddaf;

            return isset($targetObject->$name);
        }

        $targetObject = $this->valueHolder8ddaf;
        $accessor = function () use ($targetObject, $name) {
            return isset($targetObject->$name);
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = $accessor();

        return $returnValue;
    }

    public function __unset($name)
    {
        $this->initializer5f264 && ($this->initializer5f264->__invoke($valueHolder8ddaf, $this, '__unset', array('name' => $name), $this->initializer5f264) || 1) && $this->valueHolder8ddaf = $valueHolder8ddaf;

        $realInstanceReflection = new \ReflectionClass('Webkul\\UVDesk\\ExtensionFrameworkBundle\\Utils\\ApplicationCollection');

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder8ddaf;

            unset($targetObject->$name);

            return;
        }

        $targetObject = $this->valueHolder8ddaf;
        $accessor = function () use ($targetObject, $name) {
            unset($targetObject->$name);

            return;
        };
        $backtrace = debug_backtrace(true, 2);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $accessor();
    }

    public function __clone()
    {
        $this->initializer5f264 && ($this->initializer5f264->__invoke($valueHolder8ddaf, $this, '__clone', array(), $this->initializer5f264) || 1) && $this->valueHolder8ddaf = $valueHolder8ddaf;

        $this->valueHolder8ddaf = clone $this->valueHolder8ddaf;
    }

    public function __sleep()
    {
        $this->initializer5f264 && ($this->initializer5f264->__invoke($valueHolder8ddaf, $this, '__sleep', array(), $this->initializer5f264) || 1) && $this->valueHolder8ddaf = $valueHolder8ddaf;

        return array('valueHolder8ddaf');
    }

    public function __wakeup()
    {
        \Closure::bind(function (\Webkul\UVDesk\ExtensionFrameworkBundle\Utils\ApplicationCollection $instance) {
            unset($instance->applications, $instance->fullyQualifiedApplicationNames, $instance->applicationsByFullyQualifiedName, $instance->applicationsByQualifiedPackageName, $instance->isOrganized);
        }, $this, 'Webkul\\UVDesk\\ExtensionFrameworkBundle\\Utils\\ApplicationCollection')->__invoke($this);
    }

    public function setProxyInitializer(?\Closure $initializer = null) : void
    {
        $this->initializer5f264 = $initializer;
    }

    public function getProxyInitializer() : ?\Closure
    {
        return $this->initializer5f264;
    }

    public function initializeProxy() : bool
    {
        return $this->initializer5f264 && ($this->initializer5f264->__invoke($valueHolder8ddaf, $this, 'initializeProxy', array(), $this->initializer5f264) || 1) && $this->valueHolder8ddaf = $valueHolder8ddaf;
    }

    public function isProxyInitialized() : bool
    {
        return null !== $this->valueHolder8ddaf;
    }

    public function getWrappedValueHolderValue()
    {
        return $this->valueHolder8ddaf;
    }
}

if (!\class_exists('ApplicationCollection_a40b613', false)) {
    \class_alias(__NAMESPACE__.'\\ApplicationCollection_a40b613', 'ApplicationCollection_a40b613', false);
}
